unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    ButtonGetWindowPlacement: TButton;
    Label5: TLabel;
    ButtonSetWindowPlacement: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    LabelLeft: TLabel;
    LabelRight: TLabel;
    LabelTop: TLabel;
    LabelBottom: TLabel;
    Label6: TLabel;
    GroupBox2: TGroupBox;
    Label7: TLabel;
    Label8: TLabel;
    LabelFicheLeft: TLabel;
    LabelFicheTop: TLabel;
    LabelLeftWidth: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label1TopHeight: TLabel;
    Label11: TLabel;
    ButtonMaximized: TButton;
    ButtonNormal: TButton;
    procedure ButtonGetWindowPlacementClick(Sender: TObject);
    procedure ButtonSetWindowPlacementClick(Sender: TObject);
    procedure ButtonMaximizedClick(Sender: TObject);
    procedure ButtonNormalClick(Sender: TObject);
  private
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}





procedure TForm1.ButtonGetWindowPlacementClick(Sender: TObject);
var WindowPlacement : TWindowPlacement;
begin
  WindowPlacement.length:=SizeOf(WindowPlacement);// indispensable
  // rcupration de l'emplacement ou se situe la fiche lorsque WindowState est en wsNormal
  GetWindowPlacement(handle,@WindowPlacement);
  // pour voir le rsultat :
  LabelLeft.Caption:=IntToStr(WindowPlacement.rcNormalPosition.Left);
  LabelRight.Caption:=IntToStr(WindowPlacement.rcNormalPosition.Right);
  LabelTop.Caption:=IntToStr(WindowPlacement.rcNormalPosition.Top);
  LabelBottom.Caption:=IntToStr(WindowPlacement.rcNormalPosition.Bottom);
  LabelFicheLeft.Caption:=IntToStr(Form1.Left);
  LabelFicheTop.Caption:=IntToStr(Form1.Top);
  LabelLeftWidth.Caption  := IntToStr(Left+Width);
  Label1TopHeight.Caption := IntToStr(Top+Height);  

 end;

procedure TForm1.ButtonSetWindowPlacementClick(Sender: TObject);
var WindowPlacement : TWindowPlacement;
begin
  //  faire avant le get et le set
  WindowPlacement.length:=SizeOf(WindowPlacement);
  //rcupration des valueurs initiales
  GetWindowPlacement(handle,@WindowPlacement);
  //modifiquation des valeurs souhaite :
  WindowPlacement.rcNormalPosition.Left := WindowPlacement.rcNormalPosition.Left +50;
  WindowPlacement.rcNormalPosition.Right := WindowPlacement.rcNormalPosition.Right +50;
  SetWindowPlacement(handle,@WindowPlacement);
  // pour voir le rsultat :
  LabelLeft.Caption:=IntToStr(WindowPlacement.rcNormalPosition.Left);
  LabelRight.Caption:=IntToStr(WindowPlacement.rcNormalPosition.Right);
  LabelTop.Caption:=IntToStr(WindowPlacement.rcNormalPosition.Top);
  LabelBottom.Caption:=IntToStr(WindowPlacement.rcNormalPosition.Bottom);
  LabelFicheLeft.Caption  :=IntToStr(Left);
  LabelFicheTop.Caption   :=IntToStr(Top);
  LabelLeftWidth.Caption  := IntToStr(Left+Width);
  Label1TopHeight.Caption := IntToStr(Top+Height);
end;

procedure TForm1.ButtonMaximizedClick(Sender: TObject);
begin
  WindowState:=wsMaximized;
  ButtonGetWindowPlacementClick(sender);// pour voir le rsultat
end;

procedure TForm1.ButtonNormalClick(Sender: TObject);
begin
  WindowState:=wsNormal;
  ButtonGetWindowPlacementClick(sender);// pour voir le rsultat
end;

end.
